For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Device Registrations
      • POSTRegister Device for Push Notifications
      • GETGet a single Device Registration
      • DELDelete a Device Registration
      • GETList Push Notifications
      • POSTSend Push Notifications
      • GETFetch a Push Notification
      • GETList Push Notification Operations
      • GETFetch a Push Notification Operation
      • GETList Push Credentials
      • POSTCreate Push Credential
      • GETFetch a Push Credential
      • DELDelete a Push Credential
      • PATCHUpdate a Push Credential
      • GETList Push Notification Apps
      • GETFetch a Push Notification App
      • PATCHUpdate a Push Notification App
      • GETList Users
      • GETFetch a User
      • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Fetch a User

GET
https://comms.twilio.com/preview/PushNotifications/Users/:userId
GET
/preview/PushNotifications/Users/:userId
$curl https://comms.twilio.com/preview/PushNotifications/Users/userId \
> -u "<accountId>:<authToken>"
1{
2 "id": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
3 "related": [],
4 "createdAt": "2024-01-15T14:15:22Z",
5 "updatedAt": "2024-01-15T14:15:22Z",
6 "deletedAt": null
7}
This operation fetches a single Push Notification User using its ID.
Was this page helpful?
Previous

Delete a User

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

userIdstringRequired

Response

OK
idstringformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Push Notification User.
relatedlist of objects
A list of resources that are associated with the User.
createdAtstringformat: "date-time"
The date and time the User was created.
updatedAtstringformat: "date-time"
The date and time the User was last updated.
deletedAtstring or nullformat: "date-time"
The date and time the User was deleted, if applicable.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error